- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates and initiates an asynchronous multi-agent review for a document.
Returns a google.longrunning.Operation. When the operation completes, the response field contains a Review and the metadata field contains CreateReviewMetadata.
HTTP request
POST https://deepreview.googleapis.com/v1/{parent=documents/*}/reviews
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent Document resource name where this review will be created. It takes the form |
Query parameters
| Parameters | |
|---|---|
requestId |
Optional. Idempotency identifier for network retry safety (AIP-155). Must be a valid UUID4 string. |
reviewId |
Optional. The ID to use for the review, which will become the final component of the review's resource name. If not provided, a unique server-generated UUID will be assigned. |
Request body
The request body contains an instance of Review.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.